PromptHeading = ID_TUTORIAL_1_OFFSET + 1;
g_currentprompt = 0;
g_counter = 0;
Tweaks.numyearsin24hours = 0;

-------------------------------------------------------------------------------------------------
-- INITIALISE_Level. Standard level event
-------------------------------------------------------------------------------------------------
function EVENTINITIALISE_Level()
	--Game.Pause();
	-- load the building and business file
	C_RunScript("scripts\\maps\\tempmap.lua");

end;

-------------------------------------------------------------------------------------------------
-- Level. Standard level event.
-------------------------------------------------------------------------------------------------
function EVENT_Level()
	-- create an initial prompt
	C_TriggerEvent("BlockCam", 1, PACIFIC_AVENUE);
	-- Game.Unpause();
	Interface.DisableAllControls();
	Interface.DisableAll3DPicking();
	Interface.DisableCameraControl();
	-- create the initial prompt
	CreatePrompt(1);
end;

function CATCHEVENT_InterfacePromptDismiss(a)
	CreatePrompt(a);
end;

function CATCHEVENT_TutorialEvent(a)

	if g_currentprompt == 12 then
		Interface.DismissPrompt();
		Interface.DisableControl(TUT_PCP_OPEN_CLOSE);
	end;

	if g_currentprompt == 11 then
		Interface.DismissPrompt();
	end;

	if g_currentprompt == 10 then
		g_counter = g_counter + 1;
		if g_counter == 6 then
			Interface.DismissPrompt();
			Interface.DisableControl(TUT_PCP_TOGGLE_OPTIONS_LEFT);
			Interface.DisableControl(TUT_PCP_TOGGLE_OPTIONS_RIGHT);
		end;
	end;

	if g_currentprompt == 5 then
		Interface.DismissPrompt();
		Interface.DisableControl(TUT_NAVIGATOR_PANEL);
	end;

end;

-- prompt manager
function CreatePrompt(a)
	g_currentprompt = a;
	body = a+PromptHeading;
	if a == 1 then
		Interface.CreatePrompt(PromptHeading, body, a+1); --"First, lets look at the panels around the screen", a+1);
	elseif a == 2 then
		Interface.CreatePrompt(PromptHeading, body, a+1); --"Here's the clock - this tells you the time, and which year you are in. You can access the Options from here", a+1);
		Interface.AddArrow(507, 18);
	elseif a == 3 then
		Interface.CreatePrompt(PromptHeading, body, a+1); --"Next is your top line information. Which character you are using, your name and how much money you have.", a+1);
		Interface.AddArrow(509, 79);
	elseif a == 4 then
		Interface.CreatePrompt(PromptHeading, body, a+1); --"And now the navigator. This map represents the whole city. The white arrow shows where you are. Clicking on the coloured squares will zoom you to the block it represents. Try it now.", a+1);
		Interface.AddArrow(615,57);
	elseif a == 5 then 
		Interface.CreateMessage(PromptHeading, body, a+1); --"And now the navigator. This map represents the whole city. The white arrow shows where you are. Clicking on the coloured squares will zoom you to the block it represents. Try it now.", a+1);
		Interface.AddArrow(547, 355);
		Interface.EnableControl(TUT_NAVIGATOR_PANEL);
	elseif a == 6 then
		Interface.CreatePrompt(PromptHeading, body, a+1); --"Good. The Navigator is a great way to get around the city.", a+1);
	elseif a == 7 then
		Interface.CreatePrompt(PromptHeading, body, a+1); --"Now then. This panel is very important. Here you will find various details about the object you currently have selected.", a+1);
		Interface.AddArrow(107, 103);
	elseif a == 8 then
		Interface.CreatePrompt(PromptHeading, body, a+1); --"Because we have a city block selected, all of the information concerns the City Block.", a+1);
		Interface.AddArrow(187, 66);
	elseif a == 9 then
		Interface.CreatePrompt(PromptHeading, body, a+1); --"Finally, we have the Player Comparison Panel. Here you can see how well you are doing compared to the other players.", a+1);
		Interface.AddArrow(190, 328);
	elseif a == 10 then
		Interface.CreateMessage(PromptHeading, body, a+1); -- "You can cycle through different information by clicking the arrow buttons. Have a go...", a+1);
		Interface.AddArrow(180, 315);
		g_counter = 0;
		Interface.EnableControl(TUT_PCP_TOGGLE_OPTIONS_LEFT);
		Interface.EnableControl(TUT_PCP_TOGGLE_OPTIONS_RIGHT);
	elseif a == 11 then
		Interface.CreateMessage(PromptHeading, body, a+1); --"Both of these panels can be packed away in case you want to get a better look at the city. To do this, click on the blue button.", a+1);
		Interface.AddArrow(25, 315);
		Interface.EnableControl(TUT_PCP_OPEN_CLOSE);
	elseif a == 12 then
		Interface.CreateMessage(PromptHeading, body, a+1); --"Great. Now click it again to reopen it.", a+1);
		Interface.AddArrow(25, 315);
	elseif a == 13 then
		Interface.CreatePrompt(PromptHeading, body, a+1); --"Excellent, you now know what all of the panels do.", a+1);
	else
		Game.End(true);
--		Interface.CreatePrompt(PromptHeading, "MESSAGE HERE", a+1);
	end;
end;


